Package com.omnisci.thrift.server

## Class TStringRow

- java.lang.Object
- - com.omnisci.thrift.server.TStringRow

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TStringRow>`, `org.apache.thrift.TBase<TStringRow,​TStringRow._Fields>`, `org.apache.thrift.TSerializable`

    public class TStringRow
    extends Object
    implements org.apache.thrift.TBase<TStringRow,​TStringRow._Fields>, Serializable, Cloneable, Comparable<TStringRow>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TStringRow._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`List<TStringValue>` `cols`
`static Map<TStringRow._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`

### Constructor Summary

Constructors
`TStringRow()`
`TStringRow​(TStringRow other)` Performs a deep copy on other.
`TStringRow​(List<TStringValue> cols)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addToCols​(TStringValue elem)`
`void` `clear()`
`int` `compareTo​(TStringRow other)`
`TStringRow` `deepCopy()`
`boolean` `equals​(TStringRow that)`
`boolean` `equals​(Object that)`
`TStringRow._Fields` `fieldForId​(int fieldId)`
`List<TStringValue>` `getCols()`
`Iterator<TStringValue>` `getColsIterator()`
`int` `getColsSize()`
`Object` `getFieldValue​(TStringRow._Fields field)`
`int` `hashCode()`
`boolean` `isSet​(TStringRow._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetCols()` Returns true if field cols is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`TStringRow` `setCols​(List<TStringValue> cols)`
`void` `setColsIsSet​(boolean value)`
`void` `setFieldValue​(TStringRow._Fields field, Object value)`
`String` `toString()`
`void` `unsetCols()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### cols

    public List<TStringValue> cols

#### metaDataMap

    public static final Map<TStringRow._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TStringRow

    public TStringRow()

#### TStringRow

    public TStringRow​(List<TStringValue> cols)

#### TStringRow

    public TStringRow​(TStringRow other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TStringRow deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TStringRow,​TStringRow._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TStringRow,​TStringRow._Fields>`

#### getColsSize

    public int getColsSize()

#### getColsIterator

    public Iterator<TStringValue> getColsIterator()

#### addToCols

    public void addToCols​(TStringValue elem)

#### getCols

    public List<TStringValue> getCols()

#### setCols

    public TStringRow setCols​(List<TStringValue> cols)

#### unsetCols

    public void unsetCols()

#### isSetCols

    public boolean isSetCols()

Returns true if field cols is set (has been assigned a value) and false otherwise

#### setColsIsSet

    public void setColsIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TStringRow._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TStringRow,​TStringRow._Fields>`

#### getFieldValue

    public Object getFieldValue​(TStringRow._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TStringRow,​TStringRow._Fields>`

#### isSet

    public boolean isSet​(TStringRow._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TStringRow,​TStringRow._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TStringRow that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TStringRow other)

Specified by:
  `compareTo` in interface `Comparable<TStringRow>`

#### fieldForId

    public TStringRow._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TStringRow,​TStringRow._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`